Skip to main content
PATCH
/
applications
/
{id}
JavaScript
import Gizmo from '@gizmo-os/sdk';

const client = new Gizmo({
  apiKey: process.env['GIZMO_API_KEY'], // This is the default and can be omitted
});

const application = await client.applications.update('id');

console.log(application);
import os
from gizmo_sdk import Gizmo

client = Gizmo(
    api_key=os.environ.get("GIZMO_API_KEY"),  # This is the default and can be omitted
)
application = client.applications.update(
    id="id",
)
print(application)
curl --request PATCH \
  --url https://core.usegizmo.com/v1/applications/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "crmId": "<string>",
  "losId": "<string>",
  "primaryBorrowerDateOfBirth": "<string>",
  "primaryBorrowerSsn": "<string>",
  "primaryBorrowerEmail": "<string>",
  "primaryBorrowerFirstName": "<string>",
  "primaryBorrowerLastName": "<string>",
  "primaryBorrowerPhone": "<string>",
  "subjectPropertyCity": "<string>",
  "subjectPropertyStreetAddress": "<string>",
  "subjectPropertyZip": "<string>",
  "teamId": "<string>"
}
'


null
{
  "error": {
    "message": "<string>",
    "data": "<unknown>"
  }
}
{
  "kind": "<string>",
  "name": "<string>",
  "retryAfter": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
loanPurpose
enum<string>
Available options:
purchase,
refi,
refiCashOut
crmId
string
losId
string
primaryBorrowerDateOfBirth
string
primaryBorrowerSsn
string
primaryBorrowerEmail
string
primaryBorrowerFirstName
string
primaryBorrowerLastName
string
primaryBorrowerPhone
string
status
enum<string>
Available options:
NEW,
ATTEMPTED,
CONTACTED,
CREDIT_PULLED,
PRE_APPROVED,
APPLICATION,
PROCESSING,
SUBMITTAL,
RESUBMITTAL,
CONDITIONALLY_APPROVED,
FINAL_APPROVED,
DOCS_OUT,
FUNDED,
PURCHASED,
COMPLETED,
WITHDRAWN,
DENIED
subjectPropertyCity
string
subjectPropertyState
enum<string>

The two-letter state abbreviation in lowercase

Available options:
al,
ak,
az,
ar,
ca,
co,
ct,
de,
dc,
fl,
ga,
hi,
id,
il,
in,
ia,
ks,
ky,
la,
me,
md,
ma,
mi,
mn,
ms,
mo,
mt,
ne,
nv,
nh,
nj,
nm,
ny,
nc,
nd,
oh,
ok,
or,
pa,
ri,
sc,
sd,
tn,
tx,
ut,
vt,
va,
wa,
wv,
wi,
wy
subjectPropertyStreetAddress
string
subjectPropertyZip
string
teamId
string

Response

The updated Application